tvbrowser.extras.favoritesplugin.wizards

## Class AbstractWizardStep

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.wizards.AbstractWizardStep

- All Implemented Interfaces:
    WizardStep
  Direct Known Subclasses:
    ExcludeWizardStep, FinishWizardStep, LimitationsWizardStep, NotificationWizardStep, RenameWizardStep, TypeWizardStep

      public abstract class AbstractWizardStep
      extends java.lang.Object
      implements WizardStep

- - ### Field Summary

    - ### Fields inherited from interface tvbrowser.extras.favoritesplugin.wizards.WizardStep

      `BUTTON_BACK, BUTTON_CANCEL, BUTTON_DONE, BUTTON_NEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWizardStep()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract javax.swing.JPanel` | `createContent(WizardHandler handler)`
    `javax.swing.JPanel` | `getContent(WizardHandler handler)`
    `java.lang.String` | `getDoneBtnText()`
    `boolean` | `isSingleStep()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.extras.favoritesplugin.wizards.WizardStep

      `back, createDataObject, getButtons, getTitle, isValid, next`

- - ### Constructor Detail

    - #### AbstractWizardStep

          public AbstractWizardStep()

  - ### Method Detail

    - #### createContent

          protected abstract javax.swing.JPanel createContent(WizardHandler handler)

    - #### getContent

          public javax.swing.JPanel getContent(WizardHandler handler)

      Specified by:
        `getContent` in interface `WizardStep`

    - #### isSingleStep

          public boolean isSingleStep()

      Specified by:
        `isSingleStep` in interface `WizardStep`
      Returns:
        true, if this Step is a Single Step and no Back/Forward is needed

    - #### getDoneBtnText

          public java.lang.String getDoneBtnText()

      Specified by:
        `getDoneBtnText` in interface `WizardStep`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)